#ifndef __DAC_H__
#define __DAC_H__
#include <stdio.h>
#include <stdint.h>
#include "common.h"

//#define ADC_Start_Cmp                           ((uint8_t)0x80)       
//#define ADC_Enable                              ((uint8_t)0x01) 

//typedef enum
//{
//	ADC_ScanChanRes_NoId    = 0x00,  
//	ADC_ScanChanRes_WithId   = 0x02
//} ADC_ScanChanRes_t;

typedef enum
{
	DAC_Mode_Normal = 0x00,  
	DAC_Mode_RealtimeOut   = 0x01
}DAC_Mode_t;
#define IS_DAC_MODE(MODE)			((MODE == DAC_Mode_Normal) || (MODE == DAC_Mode_RealtimeOut))




typedef struct
{
	DAC_Mode_t DAC_Mode;						/*!< Configures the ADC to operate in select or scan mode. 
												 This parameter can be a value of @ref ADC_mode */						
  uint8_t DACValue;								/*!< Configures the ADC to operate in select or scan mode. 
												 This parameter can be a value of @ref ADC_mode */
}DAC_InitTypeDef;


void DAC_Start(void);
void DAC_Stop(void);
void DAC_Mode(DAC_Mode_t DacMod);
void DAC_OutSet(uint8_t DacVal);
void DAC_Init(DAC_InitTypeDef* DAC_InitStruct);

#endif

