#include "intp_demo.h"
#include "sigmadeltaadc_demo.h"

uint8_t flag = 0;

INTP_InitTypeDef intp4_initTypeDef1 = {INTP4, Trigger_Falling};
/***********************************************************************************************************************
* Function Name: Intp_Init
* @brief config gpio exit trigger-interrupt
* @param   :
* @return
***********************************************************************************************************************/
void Intp_Init(void)
{

    GPIO_InitTypeDef  GPIO_InitStruct = {0};
    INTP_InitTypeDef INTP_InitStructure;

		PORT->INTP4PCFG = 0X00;		//PC14 ΪINTP4,ʹINTP4ⲿжϹ
		
    GPIO_InitStruct.GPIO_Pin    = GPIO_Pin_14;
    GPIO_InitStruct.GPIO_Mode   = GPIO_Mode_IN;
    GPIO_InitStruct.GPIO_Ctrl  = GPIO_Control_DIG;
    GPIO_InitStruct.GPIO_PuPd  = GPIO_PuPd_UP;
    GPIO_Init(GPIO_PORTC, &GPIO_InitStruct);

    INTP_InitStructure.INTP_Select  = INTP4 ;           //ѡⲿжINTP4
    INTP_InitStructure.EXTI_Trigger = Trigger_Falling;  //ⲿжϣ½ش
    INTP_Init(&INTP_InitStructure);

    ISR_Register(INTP4_IRQn, intp_interrupt);  //жϷ·ע

//			INTP4_PORT_SETTING();
//	INTP_Init(&intp4_initTypeDef1);	
//	ISR_Register(INTP4_IRQn, intp_interrupt); //жϷע
		
//    INTP_Start(INTP4);                  // Enable INTP0 Interrupt
}


/*****************************************************************************
 ** \brief	 SigmaDeltaAdc_IsrHandle	
						 Sigma Delta AdcжϴݳʼдӦãдúԶȡadcֵ
 ** \param 	 none      
 ** \return  none
*****************************************************************************/
void intp_interrupt(void *msg)
{
	if(R_SIGMA_DELTA_ADC_SDA_L)
	{	
		INTP_Stop(INTP4);
		SigmaDeltaAdc_Handle();	
		INTP_Start(INTP4);
	}
}
