/***********************************************************************************************************************
* Copyright (C) . All rights reserved.
***********************************************************************************************************************/

/***********************************************************************************************************************
* File Name    : main.c
* Version      :
* Device(s)    : CMS32H6157
* Tool-Chain   : MDK(armcc)
* Description  : This file is a template.
* Creation Date: 2023/2/28
***********************************************************************************************************************/

/***********************************************************************************************************************
Macro Definitions
***********************************************************************************************************************/

/***********************************************************************************************************************
Includes
***********************************************************************************************************************/
#include "uart_demo.h"
#include "intp_demo.h"
#include "sigmaDeltaAdc_demo.h"


int main()
{
	uint32_t msCnt;     // count value of 1ms
	
	//-----------------------------------------------------------------------
    // Systick setting
    //-----------------------------------------------------------------------
	SystemCoreClockUpdate();
    msCnt = SystemCoreClock / 1000;
    SysTick_Config(msCnt);
	
	Uart0_Init(19200);
	printf("Hello, CMS32H6157!\n");
	
	Intp_Init();
	Sigmadeltaadc_Init();
	
	while(1)
	{
		while(!sigmaDeltaAdcInfo.sampleOk);
		sigmaDeltaAdcInfo.sampleOk = FALSE;
		printf("ADC:%d\n",sigmaDeltaAdcInfo.adcVal);
	}
}



